<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/ingresos"></ion-back-button>
    </ion-buttons>
    <ion-title>{{ingresos.descripcion}}</ion-title>
    <ion-buttons slot="end">
      <ion-button (click)="eliminaIngreso()">
        <ion-icon name="trash-outline"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
<ion-content>
  <ion-grid>
    <ion-row>
      <ion-col>
        <ion-list>
          <ion-item>
            cantidad: {{ingresos.cantidad}}
          </ion-item>
          <ion-item>
            descripcion: {{ingresos.descripcion}}
          </ion-item>
          <ion-item>
            fecha: {{ingresos.fechaRegistro}}
          </ion-item>
          <ion-item>
            boleta: {{ingresos.boletaNo}}
          </ion-item>
          <ion-item>
            tipo: {{ingresos.tipo}}
          </ion-item>
        </ion-list>
        <ion-list *ngIf="ingresos.comentarios && ingresos.comentarios.length > 0; else sincomentarios">
          <ion-header class="ion-text-center">Comentarios</ion-header>
          <ion-item *ngFor="let comentario of ingresos.comentarios">
            {{comentario}}
          </ion-item>
        </ion-list>
        <ng-template #sincomentarios>
          <ion-text>
            <p class="ion-text-center">
              No se ingresaron comentarios
            </p>
          </ion-text>
        </ng-template>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>